Debian Bug report logs - #629534
Upgrade fails, resulting in unusable system (no dynamic linking)

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: Sven-Haegar Koch <haegar@sdinet.de>

Date: Tue, 7 Jun 2011 14:15:01 UTC

Severity: critical

Tags: patch

Found in version eglibc/2.13-5

Fixed in versions eglibc/2.13-6, eglibc/2.13-7

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Tue, 07 Jun 2011 14:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven-Haegar Koch <haegar@sdinet.de>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 07 Jun 2011 14:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven-Haegar Koch <haegar@sdinet.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libc6: Dynamic linker assertion failed after upgrade, nothing startable anymore
Date: Tue, 07 Jun 2011 16:04:11 +0200
Package: libc6
Version: 2.13-5
Severity: critical
Justification: breaks the whole system


While upgrading from libc6 2.13-4 to 2.13-5 on a i386 system:

Preparing to replace libc6 2.13-4 (using .../archives/libc6_2.13-5_i386.deb) ...
Unpacking replacement libc6 ...
Setting up libc6 (2.13-5) ...
Installing new version of config file /etc/ld.so.conf.d/i486-linux-gnu.conf ...
Inconsistency detected by ld.so: dynamic-link.h: 62: elf_get_dynamic_info: Assertion `! "bad dynamic tag"' failed!
Inconsistency detected by ld.so: dynamic-link.h: 62: elf_get_dynamic_info: Assertion `! "bad dynamic tag"' failed!
E: Problem executing scripts DPkg::Post-Invoke 'if [ -x /usr/bin/debsums ]; then /usr/bin/debsums --generate=nocheck -sp /var/cache/apt/archives; fi'
E: Sub-process returned an error code
E: Sub-process /usr/bin/dpkg returned an error code (127)


After this no dynamically linked program on the system is startable anymore:

haegar:~# dpkg --help
Inconsistency detected by ld.so: dynamic-link.h: 62: elf_get_dynamic_info: Assertion `! "bad dynamic tag"' failed!

haegar@aurora:~$ ls
Inconsistency detected by ld.so: dynamic-link.h: 62: elf_get_dynamic_info: Assertion `! "bad dynamic tag"' failed!



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-sdinet14-aurora (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libc6 depends on:
ii  libc-bin                      2.13-4     Embedded GNU C Library: Binaries
ii  libgcc1                       1:4.6.0-11 GCC support library

Versions of packages libc6 recommends:
ii  libc6-i686                    2.13-4     Embedded GNU C Library: Shared lib

Versions of packages libc6 suggests:
ii  debconf [debconf-2.0]         1.5.39     Debian configuration management sy
ii  glibc-doc                     2.13-4     Embedded GNU C Library: Documentat
ii  locales                       2.13-4     Embedded GNU C Library: National L

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Tue, 07 Jun 2011 14:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 07 Jun 2011 14:51:11 GMT) Full text and rfc822 format available.

Message #10 received at 629534@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sven-Haegar Koch <haegar@sdinet.de>
Cc: 629534@bugs.debian.org
Subject: Re: libc6: Dynamic linker assertion failed after upgrade, nothing startable anymore
Date: Tue, 7 Jun 2011 09:46:56 -0500
Hi Sven,

Sven-Haegar Koch wrote:

> While upgrading from libc6 2.13-4 to 2.13-5 on a i386 system:
>
> Preparing to replace libc6 2.13-4 (using .../archives/libc6_2.13-5_i386.deb) ...
> Unpacking replacement libc6 ...
> Setting up libc6 (2.13-5) ...
> Installing new version of config file /etc/ld.so.conf.d/i486-linux-gnu.conf ...
> Inconsistency detected by ld.so: dynamic-link.h: 62: elf_get_dynamic_info: Assertion `! "bad dynamic tag"' failed!

Very odd.  That assertion doesn't exist in current glibc; in fact,
it was was removed in glibc 2.3!  (cvs/glibc-2-3~925,
elf/dynamic-link.h (elf_get_dynamic_info): Don't abort on unknown
dynamic tags, 2002-04-03).

But it was in an inline function in that header, so if some binary
package was built on a machine with ancient libc6-dev, that could be a
half-explanation.  Where do you get your binary packages from?

Puzzled,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Tue, 07 Jun 2011 15:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dima <dima000@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 07 Jun 2011 15:24:06 GMT) Full text and rfc822 format available.

Message #15 received at 629534@bugs.debian.org (full text, mbox):

From: Dima <dima000@gmail.com>
To: 629534@bugs.debian.org
Subject: Re: libc6: Dynamic linker assertion failed after upgrade, nothing startable anymore
Date: Tue, 7 Jun 2011 16:20:08 +0100
[Message part 1 (text/plain, inline)]
Just to confirm that Sven is not alone, I was hit by the same bug.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Tue, 07 Jun 2011 15:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 07 Jun 2011 15:51:05 GMT) Full text and rfc822 format available.

Message #20 received at 629534@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Dima <dima000@gmail.com>
Cc: 629534@bugs.debian.org, Sven-Haegar Koch <haegar@sdinet.de>
Subject: Re: libc6: Dynamic linker assertion failed after upgrade, nothing startable anymore
Date: Tue, 7 Jun 2011 10:49:48 -0500
Dima wrote:

> Just to confirm that Sven is not alone, I was hit by the same bug.

Thanks.  To be clear, that means you are also on i386 and also trigger
the "! "bad dynamic tag"" assertion on upgrade from 2.13-4 to 2.13-5?

I tried reproducing this in a debian-live i386 installation but I
didn't manage (the upgrade to libc6-i686 2.13-5 proceeded without
trouble).

What I said before about libc6-dev was nonsense; elf/dynamic-link.h is
a file in the eglibc source package, which makes this all the more
puzzling (how was this assertion from more than 5 years ago
resurrected?).  Probably I am missing something obvious. :)




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Tue, 07 Jun 2011 15:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dima <dima000@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 07 Jun 2011 15:57:04 GMT) Full text and rfc822 format available.

Message #25 received at 629534@bugs.debian.org (full text, mbox):

From: Dima <dima000@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 629534@bugs.debian.org, Sven-Haegar Koch <haegar@sdinet.de>
Subject: Re: libc6: Dynamic linker assertion failed after upgrade, nothing startable anymore
Date: Tue, 7 Jun 2011 16:55:12 +0100
[Message part 1 (text/plain, inline)]
> Thanks.  To be clear, that means you are also on i386 and also trigger
> the "! "bad dynamic tag"" assertion on upgrade from 2.13-4 to 2.13-5?

That's right.

I'm still logged into the box remotely, but I can not start any new
processes.

Regards,
Dima.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Tue, 07 Jun 2011 16:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven-Haegar Koch <haegar@sdinet.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 07 Jun 2011 16:27:06 GMT) Full text and rfc822 format available.

Message #30 received at 629534@bugs.debian.org (full text, mbox):

From: Sven-Haegar Koch <haegar@sdinet.de>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 629534@bugs.debian.org
Subject: Re: libc6: Dynamic linker assertion failed after upgrade, nothing startable anymore
Date: Tue, 7 Jun 2011 18:18:30 +0200 (CEST)
On Tue, 7 Jun 2011, Jonathan Nieder wrote:

> Sven-Haegar Koch wrote:
> 
> > While upgrading from libc6 2.13-4 to 2.13-5 on a i386 system:
> >
> > Preparing to replace libc6 2.13-4 (using .../archives/libc6_2.13-5_i386.deb) ...
> > Unpacking replacement libc6 ...
> > Setting up libc6 (2.13-5) ...
> > Installing new version of config file /etc/ld.so.conf.d/i486-linux-gnu.conf ...
> > Inconsistency detected by ld.so: dynamic-link.h: 62: elf_get_dynamic_info: Assertion `! "bad dynamic tag"' failed!
> 
> Very odd.  That assertion doesn't exist in current glibc; in fact,
> it was was removed in glibc 2.3!  (cvs/glibc-2-3~925,
> elf/dynamic-link.h (elf_get_dynamic_info): Don't abort on unknown
> dynamic tags, 2002-04-03).
> 
> But it was in an inline function in that header, so if some binary
> package was built on a machine with ancient libc6-dev, that could be a
> half-explanation.  Where do you get your binary packages from?

ftp.de.debian.org

But the system has been updated on Debian Unstable since Debian Woody 
(and moved from PC to PC, from harddisk to harddisk, without reinstall).

I see the following strange thing on my system:

haegar@aurora:/lib$ ls -l ld*
-rwxr-xr-x 1 root root 117960 2011-05-12 11:21 ld-2.13.so
-rwxr-xr-x 1 root root  90210 2002-09-18 11:40 ld-2.2.5.so
lrwxrwxrwx 1 root root     10 2011-05-12 11:21 ld-linux.so.2 -> ld-2.13.so
-rwxr-xr-x 1 root root  99568 2001-03-07 03:17 ld.so

haegar@aurora:/lib$ dpkg -S /lib/ld.so
dpkg-query: no path found matching pattern /lib/ld.so.
haegar@aurora:/lib$ dpkg -S /lib/ld-2.2.5.so 
dpkg-query: no path found matching pattern /lib/ld-2.2.5.so.

Could it be that some old glibc did not remove the files on upgrade, and 
they have been there forever, and unknowingly been used even with way 
newer libc6 installed?

c'ya
sven-haegar

-- 
Three may keep a secret, if two of them are dead.
- Ben F.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Tue, 07 Jun 2011 16:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dima <dima000@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 07 Jun 2011 16:39:06 GMT) Full text and rfc822 format available.

Message #35 received at 629534@bugs.debian.org (full text, mbox):

From: Dima <dima000@gmail.com>
To: Sven-Haegar Koch <haegar@sdinet.de>, 629534@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#629534: libc6: Dynamic linker assertion failed after upgrade, nothing startable anymore
Date: Tue, 7 Jun 2011 17:35:33 +0100
[Message part 1 (text/plain, inline)]
> > But it was in an inline function in that header, so if some binary
> > package was built on a machine with ancient libc6-dev, that could be a
> > half-explanation.  Where do you get your binary packages from?
>
> ftp.de.debian.org
>
>
I also get my packages from ftp.de.debian.org


> But the system has been updated on Debian Unstable since Debian Woody
> (and moved from PC to PC, from harddisk to harddisk, without reinstall).
>

Mine is also quite old, I've been running unstable for the last 10 years.

Regards,
Dima.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Tue, 07 Jun 2011 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven-Haegar Koch <haegar@sdinet.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 07 Jun 2011 16:48:03 GMT) Full text and rfc822 format available.

Message #40 received at 629534@bugs.debian.org (full text, mbox):

From: Sven-Haegar Koch <haegar@sdinet.de>
To: Dima <dima000@gmail.com>
Cc: 629534@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#629534: libc6: Dynamic linker assertion failed after upgrade, nothing startable anymore
Date: Tue, 7 Jun 2011 18:44:15 +0200 (CEST)
On Tue, 7 Jun 2011, Dima wrote:

> > > But it was in an inline function in that header, so if some binary
> > > package was built on a machine with ancient libc6-dev, that could be a
> > > half-explanation.  Where do you get your binary packages from?
> >
> > ftp.de.debian.org
> >
> I also get my packages from ftp.de.debian.org
> 
> > But the system has been updated on Debian Unstable since Debian Woody
> > (and moved from PC to PC, from harddisk to harddisk, without reinstall).
> >
> 
> Mine is also quite old, I've been running unstable for the last 10 years.

Just to verify - could you check if you also have got an /lib/ld.so 
file?

As you wrote that you are still logged into it you should be able to do 
the following:

$ cd /lib
$ echo ld*

(and then looking in the output)

c'ya
sven-haegar

-- 
Three may keep a secret, if two of them are dead.
- Ben F.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Tue, 07 Jun 2011 16:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dima <dima000@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 07 Jun 2011 16:51:03 GMT) Full text and rfc822 format available.

Message #45 received at 629534@bugs.debian.org (full text, mbox):

From: Dima <dima000@gmail.com>
To: Sven-Haegar Koch <haegar@sdinet.de>
Cc: 629534@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#629534: libc6: Dynamic linker assertion failed after upgrade, nothing startable anymore
Date: Tue, 7 Jun 2011 17:48:01 +0100
[Message part 1 (text/plain, inline)]
> As you wrote that you are still logged into it you should be able to do
> the following:
>
> $ cd /lib
> $ echo ld*
>
>
Here is is:

$ echo ld*
ld-2.2.5.so ld-linux.so.1.8.10 ld-linux.so.2 ld.so ld.so.1.8.10
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Tue, 07 Jun 2011 21:36:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atte Timonen <atte.timonen@iki.fi>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 07 Jun 2011 21:36:19 GMT) Full text and rfc822 format available.

Message #50 received at 629534@bugs.debian.org (full text, mbox):

From: Atte Timonen <atte.timonen@iki.fi>
To: 629534@bugs.debian.org
Subject: Re: libc6: Dynamic linker assertion failed after upgrade, nothing startable anymore
Date: Wed, 8 Jun 2011 00:35:00 +0300
I believe I hit the same bug on amd64. After upgrading, all commands fail with
"error while loading shared libraries: /lib/x86_64-linux-gnu/libc.so.6:
unexpected PLT reloc type 0x25".

/lib/ld-linux-x86-64.so.2 is pointing to a rather old ld-lsb-x86-64.so.3,
changing it to point to x86_64-linux-gnu/ld-2.13.so fixes the problem.

Regards,
-Atte




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Tue, 07 Jun 2011 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carl Worth <cworth@cworth.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 07 Jun 2011 22:36:03 GMT) Full text and rfc822 format available.

Message #55 received at 629534@bugs.debian.org (full text, mbox):

From: Carl Worth <cworth@cworth.org>
To: Jonathan Nieder <jrnieder@gmail.com>, Dima <dima000@gmail.com>
Cc: 629534@bugs.debian.org, Sven-Haegar Koch <haegar@sdinet.de>, control@bugs.debian.org
Subject: Re: libc6: Dynamic linker assertion failed after upgrade, nothing startable anymore
Date: Tue, 07 Jun 2011 15:24:44 -0700
[Message part 1 (text/plain, inline)]
retitle 629534 Upgrade fails, resulting in unusable system (no dynamic linking)
thank you

On Tue, 7 Jun 2011 10:49:48 -0500, Jonathan Nieder <jrnieder@gmail.com> wrote:
> > Just to confirm that Sven is not alone, I was hit by the same bug.

Me too!

> Thanks.  To be clear, that means you are also on i386 and also trigger
> the "! "bad dynamic tag"" assertion on upgrade from 2.13-4 to 2.13-5?

I am also on i386 and also hit the failure on upgrade from 2.13-4 to
2.13-5. I did not see the "bad dynamic tag" assertion failure.

Elsewhere in the thread was discussion of old linkers in /lib. I had
that as well:

	/lib$ echo ld*
	ld-2.7.so ld-linux.so.2

I was able to fix my system by booting to a live USB, mounting my
filesystem and updating that symlink:

	ln -sf i386-linux-gnu/ld-2.13.so /lib/ld-linux.so.2

I saw that some people were having trouble replicating the upgrade
failure. In case it helps, here is the upgrade history I was able to
find for the libc6 package on my system:

2010-10-12: libc6:i386 (2.11.2-5, 2.11.2-7)
2011-01-11: libc6:i386 (2.11.2-6, 2.11.2-7)
2011-05-23: libc6:i386 (2.11.2-7, 2.11.2-11)
2011-05-05: libc6:i386 (2.11.2-11, 2.13-2)
2011-05-24: libc6:i386 (2.13-2, 2.13-4)

Please let me know if there's any further information I can provide.

-Carl

-- 
carl.d.worth@intel.com
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'Upgrade fails, resulting in unusable system (no dynamic linking)' from 'libc6: Dynamic linker assertion failed after upgrade, nothing startable anymore' Request was from Carl Worth <cworth@cworth.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 22:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Wed, 08 Jun 2011 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to hugo vanwoerkom <huugske@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Wed, 08 Jun 2011 15:45:04 GMT) Full text and rfc822 format available.

Message #62 received at 629534@bugs.debian.org (full text, mbox):

From: hugo vanwoerkom <huugske@gmail.com>
To: 629534@bugs.debian.org
Subject: Upgrade fails, resulting in unusable system (no dynamic linking)
Date: Wed, 8 Jun 2011 10:42:37 -0500
Package: libc6
Version: 2.13-5
Severity: normal

I upgraded libc6 from 2.13-4 -> 2.13-5 and experienced no difficulties.
But this is Sid amd64.

Regards,

Hugo Vanwoerkom

-- System Information:
Debian Release: wheezy/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable')
Architecture: amd64 (x86_64)
Kernel: Linux 2.6.39-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.ISO-8859-15, LC_CTYPE=en_US.ISO-8859-15 (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash

Versions of packages libc6 depends on:
ii  libc-bin                      2.13-5     Embedded GNU C Library: Binaries
ii  libgcc1                       1:4.6.0-11 GCC support library

libc6 recommends no packages.

Versions of packages libc6 suggests:
ii  debconf [debconf-2.0]         1.5.39     Debian configuration management sy
pn  glibc-doc                     <none>     (no description available)
ii  locales                       2.13-5     Embedded GNU C Library: National L

-- debconf information:
  glibc/upgrade: true
  glibc/disable-screensaver:
  glibc/restart-failed:
* glibc/restart-services: mysql cron apache2




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Wed, 08 Jun 2011 22:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Wed, 08 Jun 2011 22:21:04 GMT) Full text and rfc822 format available.

Message #67 received at 629534@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 629534@bugs.debian.org
Subject: [libc6] Successful upgrade on i386
Date: Wed, 8 Jun 2011 17:42:24 -0400
Package: libc6
Version: 2.13-5

--- Please enter the report below this line. ---

I was able to complete an upgrade of libc6 on an old i386 box I run, which
had its last reinstall in October 2007.  During the installation Xorg lost
video, so I had to complete the installation via an ssh connection.

/lib/ld* after the installation looks like this:

   /lib$ ls -l ld*
   lrwxrwxrwx 1 root root 25 Jun  6 11:08 ld-linux.so.2 -> i386-linux-gnu/ld-2.13.so
   lrwxrwxrwx 1 root root 13 Mar  5 11:54 ld-lsb.so.1 -> ld-linux.so.2
   lrwxrwxrwx 1 root root 13 Mar  5 11:54 ld-lsb.so.2 -> ld-linux.so.2
   lrwxrwxrwx 1 root root 13 Mar  5 11:54 ld-lsb.so.3 -> ld-linux.so.2

I wanted to include what /lib/ld* looked like before the upgrade, but
because I lost X I also lost the terminal I was working in where I had
that information ready.  However, what I recall seeing was that there
was an ld-2.13.so file in /lib directly before the upgrade.

Examination of libc6_2.13-4_i386.deb and libc6_2.13-5_i386.deb via 'debdiff'
confirms this:

$ debdiff libc6_2.13-4_i386.deb libc6_2.13-5_i386.deb
...
Files in second .deb but not in first
-------------------------------------
...
-rwxr-xr-x  root/root   /lib/i386-linux-gnu/ld-2.13.so
-rwxr-xr-x  root/root   /lib/i386-linux-gnu/libc-2.13.so
-rwxr-xr-x  root/root   /lib/i386-linux-gnu/libpthread-2.13.so
lrwxrwxrwx  root/root   /lib/i386-linux-gnu/ld-linux.so.2 -> ld-2.13.so
...
Files in first .deb but not in second
-------------------------------------
...
-rwxr-xr-x  root/root   /lib/ld-2.13.so
-rwxr-xr-x  root/root   /lib/libc-2.13.so
-rwxr-xr-x  root/root   /lib/libpthread-2.13.so
lrwxrwxrwx  root/root   /lib/ld-linux.so.2 -> ld-2.13.so


So there is a change in ld file location in this upgrade.

  -- Chris

-- 

Chris Knadle
Chris.Knadle@coredump.us


--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.37.6-686-crk4

Debian Release: wheezy/sid
  500 unstable        www.debian-multimedia.org 
  500 unstable        ftp.us.debian.org 
    1 experimental    ftp.us.debian.org 

--- Package information. ---
Depends       (Version) | Installed
=======================-+-===========
libc-bin     (= 2.13-5) | 2.13-5
libgcc1                 | 1:4.6.0-11


Recommends      (Version) | Installed
=========================-+-===========
libc6-i686                | 2.13-5


Suggests         (Version) | Installed
==========================-+-===========
glibc-doc                  | 
debconf                    | 1.5.39
 OR debconf-2.0            | 
locales                    | 2.13-5







Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Thu, 09 Jun 2011 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 09 Jun 2011 00:21:03 GMT) Full text and rfc822 format available.

Message #72 received at 629534@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 629534@bugs.debian.org
Subject: Re: Upgrade fails, resulting in unusable system (no dynamic linking)
Date: Wed, 8 Jun 2011 17:17:23 -0700
[Message part 1 (text/plain, inline)]
tags 629534 patch
thanks

The attached (untested) patch is based on an IRC conversation with Aurélien
yesterday about this bug.  If there are any other copies of ld-2.x.so in
/lib that dpkg doesn't know about, we should abort the upgrade until these
have been removed.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[eglibc-629534.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Thu, 09 Jun 2011 00:21:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Clint Adams <clint@alioth.debian.org> to control@bugs.debian.org. (Thu, 09 Jun 2011 00:33:07 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Thu, 09 Jun 2011 15:36:08 GMT) Full text and rfc822 format available.

Notification sent to Sven-Haegar Koch <haegar@sdinet.de>:
Bug acknowledged by developer. (Thu, 09 Jun 2011 15:36:08 GMT) Full text and rfc822 format available.

Message #81 received at 629534-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 629534-close@bugs.debian.org
Subject: Bug#629534: fixed in eglibc 2.13-6
Date: Thu, 09 Jun 2011 15:33:29 +0000
Source: eglibc
Source-Version: 2.13-6

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-6_all.deb
  to main/e/eglibc/eglibc-source_2.13-6_all.deb
eglibc_2.13-6.diff.gz
  to main/e/eglibc/eglibc_2.13-6.diff.gz
eglibc_2.13-6.dsc
  to main/e/eglibc/eglibc_2.13-6.dsc
glibc-doc_2.13-6_all.deb
  to main/e/eglibc/glibc-doc_2.13-6_all.deb
libc-bin_2.13-6_amd64.deb
  to main/e/eglibc/libc-bin_2.13-6_amd64.deb
libc-dev-bin_2.13-6_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-6_amd64.deb
libc6-dbg_2.13-6_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-6_amd64.deb
libc6-dev-i386_2.13-6_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-6_amd64.deb
libc6-dev_2.13-6_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-6_amd64.deb
libc6-i386_2.13-6_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-6_amd64.deb
libc6-pic_2.13-6_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-6_amd64.deb
libc6-prof_2.13-6_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-6_amd64.deb
libc6-udeb_2.13-6_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-6_amd64.udeb
libc6_2.13-6_amd64.deb
  to main/e/eglibc/libc6_2.13-6_amd64.deb
libnss-dns-udeb_2.13-6_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-6_amd64.udeb
libnss-files-udeb_2.13-6_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-6_amd64.udeb
locales-all_2.13-6_amd64.deb
  to main/e/eglibc/locales-all_2.13-6_amd64.deb
locales_2.13-6_all.deb
  to main/e/eglibc/locales_2.13-6_all.deb
multiarch-support_2.13-6_amd64.deb
  to main/e/eglibc/multiarch-support_2.13-6_amd64.deb
nscd_2.13-6_amd64.deb
  to main/e/eglibc/nscd_2.13-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629534@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 09 Jun 2011 14:30:19 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.13-6
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 629289 629426 629534 629862
Changes: 
 eglibc (2.13-6) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * kfreebsd/local-sysdeps.diff, update to revision 3406 (from glibc-bsd),
     to fix <sys/mount.h>.  Closes: #629289, #629426.
   * debian/sysdeps/linux.mk: remove obsolete comment and code about
     asm-sparc64. Use the multiarch asm directory if present.
   * debian/copyright: update.
   * Update breaks on pre-multiarch packages.
   * Allow tst-writev to fail due to changes on recent kernels.  Closes:
     #629862.
 .
   [ Samuel Thibault ]
   * Update "expected" hurd-i386 failures.
 .
   [ Clint Adams ]
   * Remove spurious exclamation point in architecture dependency.
   * Add lintian overrides for eglibc-source, from Marcin Juszkiewicz.
 .
   [ Steve Langasek ]
   * debian/debhelper.in/libc.preinst: additional check for extra copies of
     /lib/ld-2.*.so not known to dpkg, as these cause problems when the real
     linker moves to /lib/<triplet> for multiarch and ldconfig leaves
     /lib/ld-linux.so.N pointing at an old glibc.  Closes: #629534.
Checksums-Sha1: 
 3d3ea0e225810d53504e536b4d205e76510af99e 2721 eglibc_2.13-6.dsc
 f7f5c2f559c86bd6af9fa2c3934be6e44b33b50d 852232 eglibc_2.13-6.diff.gz
 c3e1aa8d3a333a41fbe5e649c6dc7c1e0c855e55 1883294 glibc-doc_2.13-6_all.deb
 b157e7cd8a1ed78be46bdcf3830263b128b47cf6 12070174 eglibc-source_2.13-6_all.deb
 ebe1c0d0fc612834a70329196931a49c1636507e 4804800 locales_2.13-6_all.deb
 094de83ca32d5a2fb5b43ca095097929da74e080 4313944 libc6_2.13-6_amd64.deb
 32508462fe576d949580f8cefd50f7e416d65536 2632014 libc6-dev_2.13-6_amd64.deb
 05badacd9fb5d7cbb3eae55003308c4ef002f25a 2075800 libc6-prof_2.13-6_amd64.deb
 7ee7debc1d91c8d59cce95ba857106b06fee355b 1581340 libc6-pic_2.13-6_amd64.deb
 b75225aaf56fc895d2606821616552461edfda5c 1081092 libc-bin_2.13-6_amd64.deb
 ee311f00b70dab6ffbf7ef4b07b45c0ba682282c 211786 libc-dev-bin_2.13-6_amd64.deb
 adb0fe69984822c1e75771e088ce04d2bd0409f8 3745574 locales-all_2.13-6_amd64.deb
 8de0b711ecd4954e3a33aea20da2d71eacd59feb 137120 multiarch-support_2.13-6_amd64.deb
 2742e51a3ce67dee8f21ed9a73599971fd640b50 3831994 libc6-i386_2.13-6_amd64.deb
 421e2d5a9153f80346a17967286b9ca3ed30b513 1556972 libc6-dev-i386_2.13-6_amd64.deb
 54633fc290932929c526328554dd6fa777c1cc97 201302 nscd_2.13-6_amd64.deb
 6b548cc350a85c9af1942b560c30fc0a04e908a5 10487644 libc6-dbg_2.13-6_amd64.deb
 cf3f8a5985dc285f39c4d8b8923b05dda4a4e550 1179534 libc6-udeb_2.13-6_amd64.udeb
 d7225be5436d2e2ce5881f0bedd7ac67d2ca9d05 11102 libnss-dns-udeb_2.13-6_amd64.udeb
 f759d7ff54b0a8446a8f26e80879a21f3d1c5493 19282 libnss-files-udeb_2.13-6_amd64.udeb
Checksums-Sha256: 
 ccd05d5a387d6e1953036606b84db0503b829bb1c24718fe75a3f8be65e070de 2721 eglibc_2.13-6.dsc
 5cc9d50862017b04fdc315361c1e9c02b407626a6647fb35194e0f9c2b9c97e4 852232 eglibc_2.13-6.diff.gz
 c59cbabdd8a914132b333080a8f4cacb90ad0f8e43c92ab1e778b8b08e01e3b3 1883294 glibc-doc_2.13-6_all.deb
 332b6e88d3a81a403e227f91e3f89c7ed898966469daf6621ec85d5d847beab1 12070174 eglibc-source_2.13-6_all.deb
 cbe8e36e54a5667948f8ccb2ad27376262a0f705d8f7ab2d98042186581287c5 4804800 locales_2.13-6_all.deb
 8d3a4e1b8e5e27014d1c6c65edd6ce1dcc4897d7ef675dedb623addd25aa6c11 4313944 libc6_2.13-6_amd64.deb
 8124c3374027b93c5c0ac683512e18c562b366c9d47781a7dcac84e74f37a1e8 2632014 libc6-dev_2.13-6_amd64.deb
 42c0c9cfda8eac24441b7abce4194bd1cebff28764e60cb4440a08353bf706b1 2075800 libc6-prof_2.13-6_amd64.deb
 372ed85ada3c630a74a446250b881c570a32db0db8376adabe9fe2b154925542 1581340 libc6-pic_2.13-6_amd64.deb
 9b0b4afe0871dd69522c53c8676d2e76355aa0f5613cc0b2a446bf49d1865f25 1081092 libc-bin_2.13-6_amd64.deb
 ee9bf42aacff35e2e252d475b7d67b8de057ea6dfeaf5e534e1d0e0f6af1f1ef 211786 libc-dev-bin_2.13-6_amd64.deb
 87da5e624ae6b37046ae66075bdc3fcbb3e9802aa243f900e47425be99a5d3b2 3745574 locales-all_2.13-6_amd64.deb
 ef425021758db1337c710dc2e2dc921f4fae96c9b06b0e3eb79e35cc45a5dd8d 137120 multiarch-support_2.13-6_amd64.deb
 30fae84697d67c5e5f61efa2cc5373e405584004305336b6d194e10fdf89866c 3831994 libc6-i386_2.13-6_amd64.deb
 8b1fec938404776642f8b4baa7cc6579d29270180a72c7cd3b975491e00972a9 1556972 libc6-dev-i386_2.13-6_amd64.deb
 36cd12b973a0702f80e8c7c4a43bc67e293b1769816ff960eafb49e118333927 201302 nscd_2.13-6_amd64.deb
 e5c983339c854494ffc1efa2b7216c09e7334f8e694770c20773699c05d6048a 10487644 libc6-dbg_2.13-6_amd64.deb
 0af0fdb8cb38ed1a4935160a21f21f1aae5cecf5c54d3ac5c06a17ecdc5e4cf6 1179534 libc6-udeb_2.13-6_amd64.udeb
 031ac3c6279b47058930bd73ea161d1733862a487d65db9fa712d0067c7e8f75 11102 libnss-dns-udeb_2.13-6_amd64.udeb
 0d2174c987da909b2848f7cdd620c67d32b5db2d044c0e27f4711be1e04ffa24 19282 libnss-files-udeb_2.13-6_amd64.udeb
Files: 
 4b3a6231f186011262898e6b0d9a8f5c 2721 libs required eglibc_2.13-6.dsc
 67a4d14527af7436df4e855eae2a5382 852232 libs required eglibc_2.13-6.diff.gz
 4f1ef53f184a39c169ae3ac654df5a62 1883294 doc optional glibc-doc_2.13-6_all.deb
 1e6a6cfd317924f1b0e7939d5e0db67f 12070174 devel optional eglibc-source_2.13-6_all.deb
 dfa0ac49ef02285acb115e3f60263f9b 4804800 localization standard locales_2.13-6_all.deb
 874009b7f73b48cf8768aadab581373d 4313944 libs required libc6_2.13-6_amd64.deb
 65c45c3a7575833ccfbd05f2657dc449 2632014 libdevel optional libc6-dev_2.13-6_amd64.deb
 72c6335d0f59d181f97d0493117ace0a 2075800 libdevel extra libc6-prof_2.13-6_amd64.deb
 f50d6967dd5627e23ce441d566288598 1581340 libdevel optional libc6-pic_2.13-6_amd64.deb
 9cc3b2dfbf8cd3e85c222a70eca06227 1081092 libs required libc-bin_2.13-6_amd64.deb
 be43cb3e38af080807e2abbd52022c16 211786 libdevel optional libc-dev-bin_2.13-6_amd64.deb
 e354f6a12e1d3c3bb7373075a99e04de 3745574 localization extra locales-all_2.13-6_amd64.deb
 38e2e3562945fec7acbcdcb893d291fc 137120 libs standard multiarch-support_2.13-6_amd64.deb
 25905040fd616bbae7d9972d29747b0a 3831994 libs optional libc6-i386_2.13-6_amd64.deb
 41ef1547c057984f4598dcea8d86dca5 1556972 libdevel optional libc6-dev-i386_2.13-6_amd64.deb
 6d49c481580f2d82499d72a893a2a986 201302 admin optional nscd_2.13-6_amd64.deb
 8ffd942921e2e1708338a7a0cb266e1b 10487644 debug extra libc6-dbg_2.13-6_amd64.deb
 cbd607031bde6d176be976f2c7f8460b 1179534 debian-installer extra libc6-udeb_2.13-6_amd64.udeb
 c9e7988d2edfa70a66ee06bdeac961ea 11102 debian-installer extra libnss-dns-udeb_2.13-6_amd64.udeb
 40d4ee19ed3303e5a9863fcdce0eed5e 19282 debian-installer extra libnss-files-udeb_2.13-6_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFN8NVPw3ao2vG823MRAqaTAJ9g16Y55PJXZ6gRGPS7aJN8yQjsqwCfTpn3
vqWxJ9k9sROTidf/9+EPAaU=
=LzlT
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Fri, 10 Jun 2011 08:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 10 Jun 2011 08:30:03 GMT) Full text and rfc822 format available.

Message #86 received at 629534@bugs.debian.org (full text, mbox):

From: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>
To: Steve Langasek <vorlon@debian.org>
Cc: 629534@bugs.debian.org
Subject: Re: Upgrade fails, resulting in unusable system (no dynamic linking)
Date: Fri, 10 Jun 2011 10:26:40 +0200
[Message part 1 (text/plain, inline)]
Hello Steve,

On Wed, Jun 08, 2011 at 05:17:23PM -0700, Steve Langasek wrote:
> The attached (untested) patch is based on an IRC conversation with Aurélien
> yesterday about this bug.  If there are any other copies of ld-2.x.so in
> /lib that dpkg doesn't know about, we should abort the upgrade until these
> have been removed.

I just stumbled over this bug while upgrading 2.13-5 to 2.13-6 when I
was hit by the "A non-dpkg owned copy of the C library was found" error.

I found /lib/ld.so to be the cause and removing it let me sucessfully
install 2.13-6.
I did a quick survey over all my Debian machines and found /lib/ld.so
together with the "Mar 7 2001" timestamp, as already mentioned by Haegar
and others, on all "older" systems, i.e. systems initially installed
several years ago. Most of those systems never had anything else
installed than Debian packages, so this does indeed appear to be some
left-over file from any package.
Thus, I guess the current solution is not the best choice wrt. smooth
upgrades.
Systems initially installed from lenny or squeeze didn't have that file.

Btw: I did not experience any problems with running new processes etc.
on 2.13-5.


regards
   Mario
-- 
Whenever you design a better fool-proof software,
the genetic pool will always design a better fool.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Fri, 10 Jun 2011 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 10 Jun 2011 08:39:04 GMT) Full text and rfc822 format available.

Message #91 received at 629534@bugs.debian.org (full text, mbox):

From: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>
To: Steve Langasek <vorlon@debian.org>
Cc: 629534@bugs.debian.org
Subject: Re: Upgrade fails, resulting in unusable system (no dynamic linking)
Date: Fri, 10 Jun 2011 10:37:21 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jun 10, 2011 at 10:26:39AM +0200, Mario 'BitKoenig' Holbe wrote:
> I did a quick survey over all my Debian machines and found /lib/ld.so
> together with the "Mar 7 2001" timestamp, as already mentioned by Haegar
> and others, on all "older" systems, i.e. systems initially installed
> several years ago. Most of those systems never had anything else
> installed than Debian packages, so this does indeed appear to be some
> left-over file from any package.

All right - it definitely is:
ldso.postinst: 25       cd /lib
ldso.postinst: 26       if [ -f ld.so.1.9.11 ]; then
ldso.postinst: 27           mv -f ld.so.1.9.11 ld.so
ldso.postinst: 28           ln -f ld.so ld.so.1.9.11
ldso.postinst: 29       fi


regards
   Mario
-- 
Tower: "Say fuelstate." Pilot: "Fuelstate."
Tower: "Say again." Pilot: "Again."
Tower: "Arghl, give me your fuel!" Pilot: "Sorry, need it by myself..."
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Sun, 12 Jun 2011 11:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629534; Package libc6. (Sun, 12 Jun 2011 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sun, 12 Jun 2011 11:09:10 GMT) Full text and rfc822 format available.

Message #98 received at 629534@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE>, 629534@bugs.debian.org
Cc: Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#629534: Upgrade fails, resulting in unusable system (no dynamic linking)
Date: Sun, 12 Jun 2011 13:07:55 +0200
On Fri, Jun 10, 2011 at 10:37:21AM +0200, Mario 'BitKoenig' Holbe wrote:
> On Fri, Jun 10, 2011 at 10:26:39AM +0200, Mario 'BitKoenig' Holbe wrote:
> > I did a quick survey over all my Debian machines and found /lib/ld.so
> > together with the "Mar 7 2001" timestamp, as already mentioned by Haegar
> > and others, on all "older" systems, i.e. systems initially installed
> > several years ago. Most of those systems never had anything else
> > installed than Debian packages, so this does indeed appear to be some
> > left-over file from any package.
> 
> All right - it definitely is:
> ldso.postinst: 25       cd /lib
> ldso.postinst: 26       if [ -f ld.so.1.9.11 ]; then
> ldso.postinst: 27           mv -f ld.so.1.9.11 ld.so
> ldso.postinst: 28           ln -f ld.so ld.so.1.9.11
> ldso.postinst: 29       fi
> 

Thanks a lot for digging so old in the history of Debian. It seems to
come from the libc5 to libc6 transition in the Bo and Hamm era. Given
these files have been provided by the packaging system, they should be
removed automatically. I have added code to do that, however
yet unidentified old versions of the libc library should still be
removed manually so that we don't break a possible change done by the
user.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sun, 12 Jun 2011 21:21:58 GMT) Full text and rfc822 format available.

Notification sent to Sven-Haegar Koch <haegar@sdinet.de>:
Bug acknowledged by developer. (Sun, 12 Jun 2011 21:21:58 GMT) Full text and rfc822 format available.

Message #103 received at 629534-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 629534-close@bugs.debian.org
Subject: Bug#629534: fixed in eglibc 2.13-7
Date: Sun, 12 Jun 2011 21:18:18 +0000
Source: eglibc
Source-Version: 2.13-7

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-7_all.deb
  to main/e/eglibc/eglibc-source_2.13-7_all.deb
eglibc_2.13-7.diff.gz
  to main/e/eglibc/eglibc_2.13-7.diff.gz
eglibc_2.13-7.dsc
  to main/e/eglibc/eglibc_2.13-7.dsc
glibc-doc_2.13-7_all.deb
  to main/e/eglibc/glibc-doc_2.13-7_all.deb
libc-bin_2.13-7_amd64.deb
  to main/e/eglibc/libc-bin_2.13-7_amd64.deb
libc-dev-bin_2.13-7_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-7_amd64.deb
libc6-dbg_2.13-7_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-7_amd64.deb
libc6-dev-i386_2.13-7_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-7_amd64.deb
libc6-dev_2.13-7_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-7_amd64.deb
libc6-i386_2.13-7_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-7_amd64.deb
libc6-pic_2.13-7_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-7_amd64.deb
libc6-prof_2.13-7_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-7_amd64.deb
libc6-udeb_2.13-7_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-7_amd64.udeb
libc6_2.13-7_amd64.deb
  to main/e/eglibc/libc6_2.13-7_amd64.deb
libnss-dns-udeb_2.13-7_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-7_amd64.udeb
libnss-files-udeb_2.13-7_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-7_amd64.udeb
locales-all_2.13-7_amd64.deb
  to main/e/eglibc/locales-all_2.13-7_amd64.deb
locales_2.13-7_all.deb
  to main/e/eglibc/locales_2.13-7_all.deb
multiarch-support_2.13-7_amd64.deb
  to main/e/eglibc/multiarch-support_2.13-7_amd64.deb
nscd_2.13-7_amd64.deb
  to main/e/eglibc/nscd_2.13-7_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629534@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 12 Jun 2011 20:33:19 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.13-7
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 625607 629534 629983 630077 630138
Changes: 
 eglibc (2.13-7) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * Update paths to the memcpy wrapper in NEWS.Debian.gz.  Closes:
     #630138.
   * Fix preinst script wrt 3.0 kernel. Patch by Colin Watson.  Closes:
     #630077.
   * debian/sysdeps/linux.mk: correctly check from multiarch asm/ include
     directory.
   * Add patches/sparc/cvs-ifunc1.diff and patches/sparc/submitted-ifunc2.diff
     to fix multi-arch support on sparc. Update sysdeps/sparc.mk and
     sysdeps/sparc64.mk to re-enable multi-arch support on sparc and sparc64.
     Closes: #625607.
   * debhelper.in/libc.preinst: improve error message when an old copy of ld.so
     is found.  Closes: #629983.
   * debhelper.in/libc.preinst: automatically remove leftovers from libc5 to
     libc6 transition (upgrade from Bo to Hamm).  Closes: #629534.
Checksums-Sha1: 
 816334435c13475e1c09f1a816fc09ec306e4077 2721 eglibc_2.13-7.dsc
 1f5f21525a0818cb071b5492e0b175104f41f641 854815 eglibc_2.13-7.diff.gz
 c7fabe95b7322f181186fb6584c3306ae3c5d380 1883550 glibc-doc_2.13-7_all.deb
 a8422f7ef6a8cccb95d2969f5e108966aa06d95b 12060096 eglibc-source_2.13-7_all.deb
 04efae5c5e5057afb6c924981c8bc21d68073291 4805350 locales_2.13-7_all.deb
 4845585d1751f29fae8b4a982611e7fef2fdf321 4314388 libc6_2.13-7_amd64.deb
 bdb513ffe6b79d5463669534bb5683c91fb9b570 2632332 libc6-dev_2.13-7_amd64.deb
 8d7a891caaa0729fb08682d31a6697b107a8a599 2076064 libc6-prof_2.13-7_amd64.deb
 b149326671f5786ff27a78e7c71ab07f2f415ea4 1581530 libc6-pic_2.13-7_amd64.deb
 e45050376e7a595b8a4838c0c113f0e0d3b85bd5 1081342 libc-bin_2.13-7_amd64.deb
 43837945b807f84360a1e5244b6fef1b09a69bd8 212084 libc-dev-bin_2.13-7_amd64.deb
 7ab2cc92a7c56056154abfbf025749074328ed59 3739682 locales-all_2.13-7_amd64.deb
 86a30189b74a47a9b93db0d9f63a6623c7c23bc2 137398 multiarch-support_2.13-7_amd64.deb
 8d747acf18ee0eee7d56b7ecdabff8e80edbbe63 3832460 libc6-i386_2.13-7_amd64.deb
 4b9724421647a62fe5f533446671a20b926a6237 1557326 libc6-dev-i386_2.13-7_amd64.deb
 1cea4faa8705396b07e0b34efdf1501381cba181 201528 nscd_2.13-7_amd64.deb
 fc6d1d640bdd9d0384e4592e73d46575628b9f62 10487932 libc6-dbg_2.13-7_amd64.deb
 dfdd8834aef43c104e9007bdb5563b472ea50653 1179558 libc6-udeb_2.13-7_amd64.udeb
 05bc0a7258ac59d5e130ed556ade17d60afbfc5d 11102 libnss-dns-udeb_2.13-7_amd64.udeb
 951475e11feda7f5e25da29b20b2f96ffe0be0b3 19280 libnss-files-udeb_2.13-7_amd64.udeb
Checksums-Sha256: 
 5e6b09c3cf281dbb660d6efb8bda7f705171c0e35e7dccf2e95778a844545208 2721 eglibc_2.13-7.dsc
 bb912675ae4ec54bd9393ade16d6604bce75e4e504ca43a31ab50308c411035d 854815 eglibc_2.13-7.diff.gz
 73e567bcdee0ba3284bff0382e4b85eafe83e2f5cf291fa44788644e842e82bf 1883550 glibc-doc_2.13-7_all.deb
 bfcb43a8f8df348b8db3c2c1e2963b368bdf7850b7bb82bad7213c3a5c49cf31 12060096 eglibc-source_2.13-7_all.deb
 88bde3fc348063dd09eba7a7d8434cc52be01afc01aeee38cd2ef444fb5fd6f2 4805350 locales_2.13-7_all.deb
 c37506972917f56c61521a2d85cddbb5c0d0239ed74bd7a142429128f357d2f8 4314388 libc6_2.13-7_amd64.deb
 550605fc447f09edee22c3e07451cddced65f29fd17f6b76a7369a1736c5b927 2632332 libc6-dev_2.13-7_amd64.deb
 eda99d13bd3dfe69ee63fdec0ddb08f7ed6d79af9c7f1eb07b56a0bf012753e1 2076064 libc6-prof_2.13-7_amd64.deb
 95c7280804f905a0712636a73eb0134bf815a4c139cfdf4f04915fc8d9404538 1581530 libc6-pic_2.13-7_amd64.deb
 6b6d9d5edd6df4e51583d8ff7aab80bb7245c4ef8e2dfd8cf0deafec53901443 1081342 libc-bin_2.13-7_amd64.deb
 38791ea96fbf1bc05ada336020bd2594e9d37bcc2aea2aa4f16f87bfc8e0842b 212084 libc-dev-bin_2.13-7_amd64.deb
 7973248ab4ebbe370dc999af5df228cbeeec2b28a6a718a4932e0763ff87d452 3739682 locales-all_2.13-7_amd64.deb
 69e81961611126fc916c8278f8b80fd072b83883ba354391295ffed163d548fd 137398 multiarch-support_2.13-7_amd64.deb
 32f09accb509940819e04bac889ece7fb6f00b63cd1f526b89f6d0e3221d9a19 3832460 libc6-i386_2.13-7_amd64.deb
 20e836c24f6b07eb87f4aad8dd3696cc69880082742fa8739315a44227076fc2 1557326 libc6-dev-i386_2.13-7_amd64.deb
 d3c0fff60d1cf4a11417069343b4ce7651db74c5b32ba65f78653e71a2104210 201528 nscd_2.13-7_amd64.deb
 90e33461e2832ccda1a3096c1067870f7ce74b26dc79066a03ba33e6f51899af 10487932 libc6-dbg_2.13-7_amd64.deb
 10fb1384ac988338d5837b2fce7dde5d9e120151084813e4577a603bc2e3d0df 1179558 libc6-udeb_2.13-7_amd64.udeb
 3d93951aa60da4d08706a7426e5433d148b4cb420c3afd0d46ddefb3155deb5a 11102 libnss-dns-udeb_2.13-7_amd64.udeb
 f9b5ecc6715678978427ba7650012d36cddef95256e5b0638e3325030a74bb9b 19280 libnss-files-udeb_2.13-7_amd64.udeb
Files: 
 415939e11f1e4c8dfcf42857327c0ac0 2721 libs required eglibc_2.13-7.dsc
 976f50f183b8277ac17d4759669ed6dd 854815 libs required eglibc_2.13-7.diff.gz
 e462fc8ce8a270a077ac81284293dea9 1883550 doc optional glibc-doc_2.13-7_all.deb
 e8132906eac02f5f1cad36599e31f209 12060096 devel optional eglibc-source_2.13-7_all.deb
 ec1d96c418ef3b635729ea1827a11653 4805350 localization standard locales_2.13-7_all.deb
 59baaf978034b21a3e1a60a5c9bdf31e 4314388 libs required libc6_2.13-7_amd64.deb
 d3b8a8194f9aca7b66eeb74ee3fdfded 2632332 libdevel optional libc6-dev_2.13-7_amd64.deb
 e57935d93e76aaab1f006f54251ca2e7 2076064 libdevel extra libc6-prof_2.13-7_amd64.deb
 c673dd8f6eee2a5658fc639426194ee3 1581530 libdevel optional libc6-pic_2.13-7_amd64.deb
 5f26142958b0e175408c784b8dedd07a 1081342 libs required libc-bin_2.13-7_amd64.deb
 eefaa1f51faabec03939d152eb524c5b 212084 libdevel optional libc-dev-bin_2.13-7_amd64.deb
 813766329a2fa09f5276f1f644d3fd5d 3739682 localization extra locales-all_2.13-7_amd64.deb
 1f807e2eea3cf40dcda7d1a677d04a6f 137398 libs standard multiarch-support_2.13-7_amd64.deb
 e5f18426146c39abfd771981f21e0d5b 3832460 libs optional libc6-i386_2.13-7_amd64.deb
 60d1ae62489e5e91cff0dd49dbfc9e43 1557326 libdevel optional libc6-dev-i386_2.13-7_amd64.deb
 71ef880db34d2e8fd1f6a81ecfda4c92 201528 admin optional nscd_2.13-7_amd64.deb
 e8c2ce9fc51c8cff1b21098ccc3c3a0e 10487932 debug extra libc6-dbg_2.13-7_amd64.deb
 b8ed099e0ebc8f91df280dc995347433 1179558 debian-installer extra libc6-udeb_2.13-7_amd64.udeb
 b3dc5e041542dc6d1be4b202412c76ee 11102 debian-installer extra libnss-dns-udeb_2.13-7_amd64.udeb
 77509bfe1955d74e533b4cf99f5198d3 19280 debian-installer extra libnss-files-udeb_2.13-7_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFN9SIxw3ao2vG823MRAjHWAJ9Z91bl5Ivyrxtc1pFlt9pydkHAGgCeJuVE
rc25LCSbRBEzDnIWjpgQdgo=
=4CtG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jul 2011 07:33:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:07:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.